> For the complete documentation index, see [llms.txt](https://docs.apolo.us/index/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apolo.us/index/apolo-actions-reference/reference/filebrowser.md).

# Filebrowser

This is an [apolo-flow](https://docs.apolo.us/apolo-flow-reference) action launching the [Filebrowser](https://hub.docker.com/r/filebrowser/filebrowser) app for working with platform storage.

All it needs is a reference to a storage folder that becomes the root folder for the Filebrowser instance.

#### Quick example

```
jobs:
  filebrowser:
    action: gh:apolo-actions/filebrowser@v1.0.1
    args:
      volumes_project_remote: $[[ volumes.project.remote ]]
```

### Arguments

#### `volumes_project_remote`

Reference to the project's remote volume.

#### Example

```
args:
	volumes_project_remote: $[[ volumes.project.remote ]]
```

#### `http_port`

HTTP port to use for Filebrowser. `"80"` by default.

#### Example

```
args:
	http_port: "8888"
```

#### `http_auth`

Whetther to use HTTP authentication for Filebrowser or not. `"True"` by default.

#### Example

```
args:
	http_auth: "False"
```

#### `job_name`

The name of the Filebrowser server. Use it to generate a predictable job hostname. `"filebrowser"` by default.

#### Example

```
args:
	job_name: "browser-job"
```

#### `preset`

Resource preset, used to run the server. The first one in the `apolo config show` list by default.

#### Example

```
args:
	job_name: "browser-job"
```

{% hint style="info" %}
Feel free to check the [Filebrowser action repository](https://github.com/apolo-actions/filebrowser).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apolo.us/index/apolo-actions-reference/reference/filebrowser.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
